<?php
/*
** Author: Jaume Sabater
** Date: 22/02/2014
*/

function include_if_file_exists($file) {
	global $VirtualHost;
	if (file_exists($VirtualHost['docroot'] . "/" . $file)) { 
		include("$file");
		return true;
	} else return false;
}

function cap() {
	return include_if_file_exists("cap.php");
}

function titol() {
	return include_if_file_exists("titol.php");
}

function show_portada() {
	global $VirtualHost;
	if ($_SERVER["PHP_SELF"]!=$VirtualHost['url_main']) return "<a href=\"" . $VirtualHost['url_main'] . "\">" .  $VirtualHost['name_main'] . "</a>";
	else return "";
}

function show_arxiu() {
	global $VirtualHost;
	if ($_SERVER["PHP_SELF"]!=$VirtualHost['url_archive']) {
		if (show_portada()=="") return "<a href=\"" . $VirtualHost['url_archive'] . "\">" . $VirtualHost['name_archive'] . "</a>";
		else return " | <a href=\"" . $VirtualHost['url_archive'] . "\">" . $VirtualHost['name_archive'] . "</a>";
	}
}

function show_link($link) {
	global $VirtualHost;
	if (($_SERVER["PHP_SELF"]!=$VirtualHost[$link]['file'] || $_GET['n']!=$VirtualHost[$link]['arg_n']) && $VirtualHost[$link]['name']!="" &&
	   ($VirtualHost[$link]['file']=="/imatges.php" || file_exists("cosllarg" . $VirtualHost[$link]['arg_n'] . "." . $VirtualHost['name'] . ".html")))
		return " | <a href=\"" . $VirtualHost[$link]['url'] . "\">" . $VirtualHost[$link]['name'] . "</a>";
}

function peu() {
	include_if_file_exists("peu.php");
}

function menu() {
	global $VirtualHost;
	echo "<div id=\"menu\"><p>" . show_portada() . show_arxiu();
	$sub=strtok($VirtualHost['menus'],",");
	while ($sub != false) {
        	echo show_link($sub);
        	$sub=strtok(", ");
	}
	echo "</p></div>\n";
}
?>
