<?php
/*
** Author: Jaume Sabater
** Date: 04/03/2014
*/

/*
** Configura aqu lo que s com per a tots els virtualhosts. s compatible amb tenir-ho tamb a cada virtualhost, aleshores prevaldr la configuraci que hi hagi al virtualhost.
*/
$VirtualHost['version']=		"5.10.4";
$VirtualHost['generator']=		"ousweb-" . $VirtualHost['version'];
$VirtualHost['docroot']=		".";
$VirtualHost['subdomains']=		"a,b,c,d";
$VirtualHost['lang']=			"ca";
$VirtualHost['charset']=		"iso-8859-15";
$VirtualHost['robots']=			"all";
$VirtualHost['revisit-after']=		"2 days";
$VirtualHost['distribution']=		"global";
$VirtualHost['rating']=			"general";
$VirtualHost['vinyetes']=		"";
$VirtualHost['comments']=		"";
$VirtualHost['email']=			"";
$VirtualHost['author']=			"Jaume Sabater";
$VirtualHost['url_main']=		"/index.php";
$VirtualHost['name_main']=		"Portada";
$VirtualHost['url_archive']=		"/arxiu.php";
$VirtualHost['name_archive']=		"Arxiu";
$VirtualHost['menus']=			"images,download,links";
$VirtualHost['images']['file']=		"/imatges.php";
$VirtualHost['images']['dir']=		"/imgs";
$VirtualHost['images']['name']=		"";
$VirtualHost['images']['arg_n']=	"";
$VirtualHost['images']['url']=		$VirtualHost['images']['file'];
$VirtualHost['download']['name']=	"&Agrave;rea de desc&agrave;rrega";
$VirtualHost['download']['file']=	"/mostra.php";
$VirtualHost['download']['arg_n']=	"0";
$VirtualHost['download']['url']=	$VirtualHost['download']['file'] . "?n=" . $VirtualHost['download']['arg_n'];
$VirtualHost['links']['name']=		"Enlla&ccedil;os d'inter&egrave;s";
$VirtualHost['links']['file']=		"/mostra.php";
$VirtualHost['links']['arg_n']=		"1";
$VirtualHost['links']['url']=		$VirtualHost['links']['file'] . "?n=" . $VirtualHost['links']['arg_n'];

/*
** Configura aqu els hosts virtuals
*/
if ($_SERVER["HTTP_HOST"]=="domini-1.com.apache-01.fw-http-01.vzhost-01.calmeco.lan") {
	$VirtualHost['modified']=	"2014-02-24 04:10:00";
	$VirtualHost['name']=		"domini-1.com";
	$VirtualHost['imageshost']=	"imgs." . $VirtualHost['name'];
	$VirtualHost['webmaster']=	"webmaster@domini-1.com";
	$VirtualHost['title']=		"Domini-1.com";
	$VirtualHost['description']=	"Bla bla 1";
	$VirtualHost['icon']=		"http://www.domini.cat/favicon.ico";
	$VirtualHost['keywords']=	"ousman, aaa, bbb";
	$VirtualHost['thanks']=		"P&agrave;gina hostatjada a <a href=\"http://www.ousman.com\">ousman.com</a>";
	$VirtualHost['num_news']=	5;
/*
** Configura aqu els hosts virtuals
*/
} elseif ($_SERVER["HTTP_HOST"]=="domini-2.com.apache-01.fw-http-01.vzhost-01.calmeco.lan") {
	$VirtualHost['modified']=	"2014-02-24 04:10:00";
	$VirtualHost['revisit-after']=	"24 hours";
	$VirtualHost['name']=		"domini-2.com";
	$VirtualHost['imageshost']=	"imgs." . $VirtualHost['name'];
	$VirtualHost['webmaster']=	"webmaster@domini-2.com";
	$VirtualHost['title']=		"Domini-1.com";
	$VirtualHost['description']=	"Bla bla 1";
	$VirtualHost['icon']=		"/favicon.ico";
	$VirtualHost['keywords']=	"ousman, aaa, bbb";
	$VirtualHost['thanks']=		"P&agrave;gina hostatjada a <a href=\"http://www.ousman.com\">ousman.com</a>";
	$VirtualHost['num_news']=	6;
	$VirtualHost['vinyetes']=	"aaa.jpg, bbb.gif";
	$VirtualHost['comments']=	"Envia'm un comentari";
	$VirtualHost['email']=		"comentaris@domini-2.com";
	$VirtualHost['menus']=		"extra,links,images";
	$VirtualHost['links']['url']=		"/links.html";
	$VirtualHost['images']['name']=		"Vinyetes";
	$VirtualHost['extra']['name']=		"Men&uacute; extra";
	$VirtualHost['extra']['file']=		"/mostra.php";
	$VirtualHost['extra']['arg_n']=		3;
	$VirtualHost['links']['url']=		$VirtualHost['extra']['file'] . "?n=" . $VirtualHost['extra']['arg_n'];
/*
** Host virtual per defecte
*/
} else {
	$VirtualHost['modified']=	"2014-02-24 04:10:00";
	$VirtualHost['name']=		"ousman.com";
	$VirtualHost['imageshost']=	"imgs." . $VirtualHost['name'];
	$VirtualHost['webmaster']=	"ous@ousman.com";
	$VirtualHost['title']=		"Ousman.com";
	$VirtualHost['description']=	"P&agrave;gina personal de l'amo d'Ousman.com. Tamb&eacute; &eacute;s el punt on reflecteix la seva opini&oacute; al m&oacute;n mundial...";
	$VirtualHost['icon']=		"http://www.debian.org/favicon.ico";
	$VirtualHost['keywords']=	"ousman, ousweb, ousdog, watchdog";
	$VirtualHost['thanks']=		"Ousweb";
	$VirtualHost['num_news']=	5;
	$VirtualHost['comments']=	"Envia'm un comentari";
	$VirtualHost['email']=		"comentaris@ousman.com";
	$VirtualHost['images']['name']=	"Vinyetes";
}

?>
